Bug 155458 - [patch] science/hdf5-18 Update to 1.8.6
Summary: [patch] science/hdf5-18 Update to 1.8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-11 09:20 UTC by Robert Farmer
Modified: 2011-03-12 10:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.44 KB, patch)
2011-03-11 09:20 UTC, Robert Farmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Farmer 2011-03-11 09:20:10 UTC
-Update to 1.8.6
This includes some performance improvements and bug fixes

Release Notes:
ftp://ftp.hdfgroup.org/HDF5/prev-releases/hdf5-1.8.6/src/hdf5-1.8.6-RELEASE.txt

-Only use the ftp address with the version number, to prevent errors when new versions are released
-Reverse WITH_DEBUG check - upstream now sets "production" as the default
-Add Fortran examples to plist

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-11 09:20:25 UTC
Maintainer of science/hdf5-18,

Please note that PR ports/155458 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155458

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-03-11 09:20:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 koziol 2011-03-11 16:33:47 UTC
On Mar 11, 2011, at 3:20 AM, Edwin Groothuis wrote:

> Maintainer of science/hdf5-18,
> 
> Please note that PR ports/155458 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

	Looks good to me.

		Quincey

> 
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155458
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-03-11 20:52:28 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Frederic Culot freebsd_committer 2011-03-12 08:18:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-03-12 10:08:02 UTC
culot       2011-03-12 10:07:53 UTC

  FreeBSD ports repository

  Modified files:
    science/hdf5-18      Makefile distinfo pkg-plist 
  Log:
  - Update to 1.8.6
  
  Changes:        http://www.hdfgroup.org/HDF5/doc/ADGuide/Changes.html
  PR:             ports/155458
  Submitted by:   Rob Farmer <rfarmer AT predatorlabs.net>
  Approved by:    Quincey Koziol <koziol AT hdfgroup.org> (maintainer)
  
  Revision  Changes    Path
  1.60      +5 -6      ports/science/hdf5-18/Makefile
  1.24      +2 -2      ports/science/hdf5-18/distinfo
  1.28      +21 -2     ports/science/hdf5-18/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2011-03-12 10:08:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!